from flask import Flask, request
import json
import requests
import os

app = Flask(__name__)

@app.route('/word/<word>', methods=["GET"])
def get_definition(word):
    r = requests.get(f'http://{os.environ.get("KEY_VALUE_DB_HOSTNAME")}:5000/get', params={'key': word})
    data = r.json()
    response = {"defintion": data["value"]}

    return json.dumps(response)


@app.route('/word/<word>', methods=["PUT"])
def save_definition(word):
    data = request.get_json()

    r = requests.get(f'http://{os.environ.get("KEY_VALUE_DB_HOSTNAME")}:5000/save', params={'key': word, 'value': data["definition"]})
    response = {"message": "Your definition has been saved"}
    return ""
