from flask import Flask, request
import shelve
import json

app = Flask(__name__)

@app.route('/get')
def get_data():
    with shelve.open('data.txt') as db:
        key = request.args.get('key')
        value = db[key]

        response = {"key": key, "value": value}
        
    return json.dumps(response)


@app.route('/save')
def save_data():
    with shelve.open('data.txt') as db:
        key = request.args.get('key')
        value = request.args.get('value')

        db[key] = value

        response = {"message": "success"}
        
    return json.dumps(response)


