from flask import Flask, request
import json
import pymysql

app = Flask(__name__)
con = pymysql.connect(host='some-mysql', user='root', password='my-secret-pw', database='demo')

@app.route('/get')
def get_data():
    key = request.args.get('key')

    with con.cursor() as cur:

        cur.execute('SELECT this_value FROM keyvalue WHERE this_key = %s', key)
        rows = cur.fetchall()
        value = rows[0][0]

    response = {"key": key, "value": value}
        
    return json.dumps(response)


@app.route('/save')
def save_data():
    key = request.args.get('key')
    value = request.args.get('value')

    with con.cursor() as cur:
        cur.execute('INSERT INTO keyvalue (this_key, this_value) VALUES (%s, %s)', [key, value])

    response = {"message": "success"}
    return json.dumps(response)


